Upstream information

CVE-2011-1178 at MITRE

Description

Multiple integer overflows in the load_image function in file-pcx.c in the Personal Computer Exchange (PCX) plugin in GIMP 2.6.x and earlier allow remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted PCX image that triggers a heap-based buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 692877 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP4
  • gimp >= 2.6.2-3.34.45.1
  • gimp-devel >= 2.6.2-3.34.45.1
  • gimp-lang >= 2.6.2-3.34.45.1
  • gimp-plugins-python >= 2.6.2-3.34.45.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA gimp
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • gimp >= 2.2.10-22.38.1
  • gimp-devel >= 2.2.10-22.38.1
sle10-sp4-sdk.s390x
sled10-sp4.x86
sled10-sp4.x86-64
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.x86
sle10-sp4-sdk.ia64
sle10-sp4-sdk.ppc
ZYPP Patch Nr: 7543
openSUSE 11.3
  • gimp-debuginfo >= 2.6.8-7.5.1
  • gimp-debugsource >= 2.6.8-7.5.1
  • gimp-devel-debuginfo >= 2.6.8-7.5.1
  • gimp-help-browser-debuginfo >= 2.6.8-7.5.1
  • gimp-module-hal-debuginfo >= 2.6.8-7.5.1
  • gimp-plugins-python-debuginfo >= 2.6.8-7.5.1
openSUSE 11.3
  • gimp >= 2.6.8-7.5.1
  • gimp-branding-upstream >= 2.6.8-7.5.1
  • gimp-devel >= 2.6.8-7.5.1
  • gimp-help-browser >= 2.6.8-7.5.1
  • gimp-lang >= 2.6.8-7.5.1
  • gimp-module-hal >= 2.6.8-7.5.1
  • gimp-plugins-python >= 2.6.8-7.5.1
openSUSE 11.4
  • gimp >= 2.6.11-13.14.1
  • gimp-branding-upstream >= 2.6.11-13.14.1
  • gimp-devel >= 2.6.11-13.14.1
  • gimp-help-browser >= 2.6.11-13.14.1
  • gimp-lang >= 2.6.11-13.14.1
  • gimp-module-hal >= 2.6.11-13.14.1
  • gimp-plugins-python >= 2.6.11-13.14.1
  • libgimp-2_0-0 >= 2.6.11-13.14.1
  • libgimp-2_0-0-32bit >= 2.6.11-13.14.1
  • libgimpui-2_0-0 >= 2.6.11-13.14.1
  • libgimpui-2_0-0-32bit >= 2.6.11-13.14.1
SUSE Linux Enterprise Software Development Kit 11 SP1
  • gimp >= 2.6.2-3.34.31.1
  • gimp-devel >= 2.6.2-3.34.31.1
  • gimp-lang >= 2.6.2-3.34.31.1
  • gimp-plugins-python >= 2.6.2-3.34.31.1
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sled11-sp1.x86-64
sled11-sp1.x86
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86
SAT Patch Nr: 4631
SUSE Linux Enterprise Desktop 11 SP1
  • gimp >= 2.6.2-3.34.31.1
  • gimp-lang >= 2.6.2-3.34.31.1
  • gimp-plugins-python >= 2.6.2-3.34.31.1
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sled11-sp1.x86-64
sled11-sp1.x86
sle11-sp1-sdk.ia64
sle11-sp1-sdk.x86
SAT Patch Nr: 4631
openSUSE 11.4
  • gimp >= 2.6.11-13.14.1
  • gimp-branding-upstream >= 2.6.11-13.14.1
  • gimp-debuginfo >= 2.6.11-13.14.1
  • gimp-debugsource >= 2.6.11-13.14.1
  • gimp-devel >= 2.6.11-13.14.1
  • gimp-devel-debuginfo >= 2.6.11-13.14.1
  • gimp-help-browser >= 2.6.11-13.14.1
  • gimp-help-browser-debuginfo >= 2.6.11-13.14.1
  • gimp-lang >= 2.6.11-13.14.1
  • gimp-module-hal >= 2.6.11-13.14.1
  • gimp-module-hal-debuginfo >= 2.6.11-13.14.1
  • gimp-plugins-python >= 2.6.11-13.14.1
  • gimp-plugins-python-debuginfo >= 2.6.11-13.14.1
  • libgimp-2_0-0 >= 2.6.11-13.14.1
  • libgimp-2_0-0-32bit >= 2.6.11-13.14.1
  • libgimp-2_0-0-debuginfo >= 2.6.11-13.14.1
  • libgimp-2_0-0-debuginfo-32bit >= 2.6.11-13.14.1
  • libgimpui-2_0-0 >= 2.6.11-13.14.1
  • libgimpui-2_0-0-32bit >= 2.6.11-13.14.1
  • libgimpui-2_0-0-debuginfo >= 2.6.11-13.14.1
  • libgimpui-2_0-0-debuginfo-32bit >= 2.6.11-13.14.1
Patchnames:
gimp


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 gimp Affected
SUSE Linux Enterprise Desktop 10 SP4 gimp Released
SUSE Linux Enterprise Desktop 11 SP1 gimp Released
SUSE Linux Enterprise SDK 11 SP1 gimp Released